# Class ContainerProvider

java.lang.Object
javax.websocket.ContainerProvider

public abstract class ContainerProvider extends Object
Use the `ServiceLoader` mechanism to provide instances of the WebSocket client container.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContainerProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract WebSocketContainer`
  `getContainer()`
  `static WebSocketContainer`
  `getWebSocketContainer()`
  Create a new container used to create outgoing WebSocket connections.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContainerProvider

    public ContainerProvider()

- ## Method Details

  - ### getWebSocketContainer

    public static WebSocketContainer getWebSocketContainer()
    Create a new container used to create outgoing WebSocket connections.
    Returns:
      A newly created container.

  - ### getContainer

    protected abstract WebSocketContainer getContainer()